<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head'); %>
</head>

<body>
  <div class="container">
    <%- include('../partials/navbar'); %>
    <div class="login-header">
      <h1>Log In</h1>
      <div>
      <a class="link-custom" href="/signup">click here to create an account</a>
    </div>
    </div>
    <div class="login-content">
      <div>
        <form class="needs-validation login-form" id="loginform" novalidate>
          <div class="form-group mb-3">
            <label for="inputEmail">Email</label>
            <input type="email" class="form-control" name="email" id="inputEmail" required>
            <div class="invalid-feedback">
              Please enter your email.
            </div>
          </div>
          <div class="form-group mb-3">
            <label for="inputPassword">Password</label>
            <input type="password" class="form-control" name="password" id="inputPassword" required>
            <div class="invalid-feedback">
              Please enter your password.
            </div>
          </div>
          <button type="submit" id="loginSubmit" class="btn btn-submit float-right mt-3">Log In</button>
          <button class="btn btn-submit float-right display-none mt-3" id="loginSpinner" type="button" disabled>
            <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
            Logging in...
          </button>
          <div id="loginFail" class="alert alert-danger display-none mt-3" role="alert">
            Email and/or password not recognised.
          </div>
          <div id="loginLimit" class="alert alert-danger display-none mt-3" role="alert">
            You have failed to log in too many times. Please try again in 15 minutes.
          </div>
        </form>
      </div>
    </div>
    <%- include('../partials/footer'); %>
  </div>
  <%- include('../partials/footscripts'); %>
  <script src="/javascripts/login.js"></script>
</body>

</html>